Attached is a patch for debian bug 504877 that narrowly targets
installations running under fakechroot.

Thanks,

        --dkg
--- initscripts.postinst.orig	2009-02-28 11:33:16.000000000 -0500
+++ initscripts.postinst	2009-02-28 11:37:27.000000000 -0500
@@ -277,11 +277,12 @@
 	# root file system. If some package has mounted a
 	# seperate /dev (ramfs from udev, devfs) it is
 	# responsible for the presence of those subdirs.
+	# (it is OK for these to fail under fakechroot)
 	#
 	if ! mountpoint -q /dev
 	then
-		[ -d /dev/pts ] || { mkdir --mode=755 /dev/pts ; chown root:root /dev/pts ; }
-		[ -d /dev/shm ] || { mkdir --mode=755 /dev/shm ; chown root:root /dev/shm ; }
+		[ -d /dev/pts ] || { mkdir --mode=755 /dev/pts ; chown root:root /dev/pts || [ "$FAKECHROOT" = true ]; }
+		[ -d /dev/shm ] || { mkdir --mode=755 /dev/shm ; chown root:root /dev/shm || [ "$FAKECHROOT" = true ]; }
 	fi
 fi
 

Attachment: signature.asc
Description: OpenPGP digital signature

_______________________________________________
Pkg-sysvinit-devel mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/pkg-sysvinit-devel

Reply via email to